Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter01/changelog.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -38,4 +38,63 @@
 
     <listitem>
+      <para>2015-09-28</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - LFS 7.8-systemd released.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Fix a warning when doing the GCC compile tests.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Add additional discussion about copying LFS systems
+          from one machine to another machine.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Provide ncurses non-wide-character libraries that
+          are compliant with version 5 of ncurses.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Remove unnecessary sed in e2fsprogs.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to util-linux-2.27.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-4.2.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to iproute2-4.2.0.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Refresh build sizes and SBU values.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2015-08-25</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Add an upstream patch for MPFR.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libpipeline-1.4.1.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-4.1.6.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to man-db-2.7.2.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Add a patch to allow glibc to build properly on i386 systems.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Remove obsolete r* programs from inetutils.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2015-08-19</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter01/whatsnew.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -140,7 +140,7 @@
       <para>Libcap-&libcap-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libpipeline &libpipeline-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libtool &libtool-version;</para>
@@ -155,7 +155,7 @@
       <para>Make &make-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-DB &man-db-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Man-pages &man-pages-version;</para>
@@ -247,4 +247,11 @@
     </listitem>
 -->
+    <listitem>
+      <para>&glibc-upstream-patch;</para>
+    </listitem>
+
+    <listitem>
+      <para>&mpfr-upstream-patch;</para>
+    </listitem>
 
     <listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter03/patches.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -59,4 +59,12 @@
 
     <varlistentry>
+      <term>Glibc i386 Patch - <token>&glibc-upstream-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&glibc-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-upstream-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
       <listitem>
@@ -65,11 +73,12 @@
       </listitem>
     </varlistentry>
-<!--    <varlistentry> -->
-<!--      <term>Ncurses GCC 5 Fixes Patch - <token>&ncurses-gcc5-buildfixes-patch-size;</token>:</term>
+
+    <varlistentry>
+      <term>MPFR Upstream Fixes Patch - <token>&mpfr-upstream-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&ncurses-gcc5-buildfixes-patch;"/></para>
-        <para>MD5 sum: <literal>&ncurses-gcc5-buildfixes-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&mpfr-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&mpfr-upstream-patch-md5;</literal></para>
       </listitem>
-    </varlistentry> -->
+    </varlistentry>
 
     <varlistentry>
Index: chapter05/adjusting.xml
===================================================================
--- chapter05/adjusting.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter05/adjusting.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -46,5 +46,5 @@
     expected. To perform a sanity check, run the following commands:</para>
 
-<screen><userinput>echo 'main(){}' &gt; dummy.c
+<screen><userinput>echo 'int main(){}' &gt; dummy.c
 $LFS_TGT-gcc -B/tools/lib dummy.c
 readelf -l a.out | grep ': /tools'</userinput></screen>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter05/gcc-pass2.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -182,5 +182,5 @@
     expected. To perform a sanity check, run the following commands:</para>
 
-<screen><userinput>echo 'main(){}' &gt; dummy.c
+<screen><userinput>echo 'int main(){}' &gt; dummy.c
 cc dummy.c
 readelf -l a.out | grep ': /tools'</userinput></screen>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter05/glibc.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -43,4 +43,8 @@
   <sect2 role="installation">
     <title>Installation of Glibc</title>
+
+    <para>First, fix a build problem that affects i386 systems:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
 
     <para>The Glibc documentation recommends building Glibc outside of the source
@@ -188,5 +192,5 @@
     expected. To perform a sanity check, run the following commands:</para>
 
-<screen><userinput>echo 'main(){}' &gt; dummy.c
+<screen><userinput>echo 'int main(){}' &gt; dummy.c
 $LFS_TGT-gcc dummy.c
 readelf -l a.out | grep ': /tools'</userinput></screen>
@@ -197,7 +201,6 @@
 <screen><computeroutput>[Requesting program interpreter: /tools/lib/ld-linux.so.2]</computeroutput></screen>
 
-    <para>Note that <filename class="directory">/tools/lib</filename>, or
-    <filename class="directory">/tools/lib64</filename> for 64-bit machines
-    appears as the prefix of the dynamic linker.</para>
+    <para>Note that for 64-bit machines, the interpreter name will be
+    <filename>/tools/lib64/ld-linux-x86-64.so.2</filename>.</para>
 
     <para>If the output is not shown as above or there was no output at all,
Index: chapter06/adjusting.xml
===================================================================
--- chapter06/adjusting.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/adjusting.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -43,5 +43,5 @@
   as expected. To do this, perform the following sanity checks:</para>
 
-<screen os="a"><userinput>echo 'main(){}' &gt; dummy.c
+<screen os="a"><userinput>echo 'int main(){}' &gt; dummy.c
 cc dummy.c -v -Wl,--verbose &amp;&gt; dummy.log
 readelf -l a.out | grep ': /lib'</userinput></screen>
Index: chapter06/diffutils.xml
===================================================================
--- chapter06/diffutils.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/diffutils.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -57,4 +57,6 @@
 
 <screen><userinput remap="test">make check</userinput></screen>
+
+    <para>The test-update-copyright.sh failure can be safely ignored.</para>
 
     <para>Install the package:</para>
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/e2fsprogs.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -45,9 +45,9 @@
     <title>Installation of E2fsprogs</title>
 
-    <para>First, fix a potential security issue identified upstream:</para>
+<!--     <para>First, fix a potential security issue identified upstream:</para>
 
 <screen><userinput remap="pre">sed -e '/int.*old_desc_blocks/s/int/blk64_t/' \
     -e '/if (old_desc_blocks/s/super->s_first_meta_bg/desc_blocks/' \
-    -i lib/ext2fs/closefs.c</userinput></screen>
+    -i lib/ext2fs/closefs.c</userinput></screen> -->
 
     <para>The E2fsprogs documentation recommends that the package be built in
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/glibc.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -67,4 +67,8 @@
     of achieving a clean build.</para>
 
+    <para>Now, fix a build problem that affects i386 systems:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
+
     <para>The Glibc documentation recommends building Glibc outside of the source
     directory in a dedicated build directory:</para>
@@ -136,5 +140,5 @@
       <listitem>
         <para>The <emphasis>elf/tst-protected1a</emphasis> and
-        <emphasis>elf/tst-protected1a</emphasis> tests are known to
+        <emphasis>elf/tst-protected1b</emphasis> tests are known to
         fail with the current stable version of binutils.</para>
       </listitem>
Index: chapter06/grep.xml
===================================================================
--- chapter06/grep.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/grep.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -57,4 +57,6 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
+    <para>The test-update-copyright.sh failure can be safely ignored.</para>
+
     <para>Install the package:</para>
 
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/inetutils.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -52,8 +52,22 @@
             --disable-logger     \
             --disable-whois      \
+            --disable-rcp        \
+            --disable-rexec      \
+            --disable-rlogin     \
+            --disable-rsh        \
             --disable-servers</userinput></screen>
 
     <variablelist>
       <title>The meaning of the configure options:</title>
+
+      <varlistentry>
+        <term><parameter>--disable-r*</parameter></term>
+        <listitem>
+          <para>These parameters disable building obsolete programs that should
+          not be used due to security issues. The functions provided by these
+          programs can be provided by the <application>openssh</application>
+          package in the BLFS book.</para>
+        </listitem>
+      </varlistentry>
 
       <varlistentry>
@@ -180,44 +194,4 @@
       </varlistentry>
 
-      <varlistentry id="rcp">
-        <term><command>rcp</command></term>
-        <listitem>
-          <para>Performs remote file copy</para>
-          <indexterm zone="ch-system-inetutils rcp">
-            <primary sortas="b-rcp">rcp</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rexec">
-        <term><command>rexec</command></term>
-        <listitem>
-          <para>Executes commands on a remote host</para>
-          <indexterm zone="ch-system-inetutils rexec">
-            <primary sortas="b-rexec">rexec</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rlogin">
-        <term><command>rlogin</command></term>
-        <listitem>
-          <para>Performs remote login</para>
-          <indexterm zone="ch-system-inetutils rlogin">
-            <primary sortas="b-rlogin">rlogin</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rsh">
-        <term><command>rsh</command></term>
-        <listitem>
-          <para>Runs a remote shell</para>
-          <indexterm zone="ch-system-inetutils rsh">
-            <primary sortas="b-rsh">rsh</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="talk">
         <term><command>talk</command></term>
Index: chapter06/introduction.xml
===================================================================
--- chapter06/introduction.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/introduction.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -65,8 +65,8 @@
     to remove a security problem, all programs that use the static library will
     need to be relinked to the new library.  Since the use of static libraries
-    is not always obvious, deciding which programs (and the procedures needed to
+    is not always obvious, the relevant programs (and the procedures needed to
     do the linking) may not even be known.</para>
 
-    <para>In the prcedures in Chapter 6, we remove or disable installation of
+    <para>In the procedures in Chapter 6, we remove or disable installation of
     most static libraries.  In a few cases, especially glibc and gcc, the use
     of static libraries remains essential to the general package building
Index: chapter06/m4.xml
===================================================================
--- chapter06/m4.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/m4.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -53,4 +53,6 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
+    <para>The test-update-copyright.sh failure can safely be ignored.</para>
+
     <para>Install the package:</para>
 
Index: chapter06/mpfr.xml
===================================================================
--- chapter06/mpfr.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/mpfr.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -41,10 +41,10 @@
   <sect2 role="installation">
     <title>Installation of MPFR</title>
-<!--
+
     <para>First, apply the following patch to fix various bugs that have been
     addressed upstream:</para>
 
-<screen><userinput remap="pre">patch -Np1 -i ../&mpfr-fixes-patch;</userinput></screen>
--->
+<screen><userinput remap="pre">patch -Np1 -i ../&mpfr-upstream-patch;</userinput></screen>
+
     <para>Prepare MPFR for compilation:</para>
 
Index: chapter06/ncurses.xml
===================================================================
--- chapter06/ncurses.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/ncurses.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -142,5 +142,7 @@
       <para>The instructions above don't create non-wide-character Ncurses
       libraries since no package installed by compiling from sources would
-      link against them at runtime. If you must have such libraries because
+      link against them at runtime. However, the only known binary-only
+      applications that link against non-wide-character Ncurses libraries
+      require version 5. If you must have such libraries because
       of some binary-only application or to be compliant with LSB, build
       the package again with the following commands:</para>
@@ -151,7 +153,8 @@
             --without-normal \
             --without-debug  \
-            --without-cxx-binding
+            --without-cxx-binding \
+            --with-abi-version=5
 make sources libs
-cp -av lib/lib*.so.6* /usr/lib</userinput></screen>
+cp -av lib/lib*.so.5* /usr/lib</userinput></screen>
     </note>
 
Index: chapter06/pkgmgt.xml
===================================================================
--- chapter06/pkgmgt.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/pkgmgt.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -251,5 +251,5 @@
     <para>One of the advantages of an LFS system is that there are no files that
     depend on the position of files on a disk system.  Cloning an LFS build to
-    another computer with an architecture similar to the base system is as
+    another computer with the same architecture as the base system is as
     simple as using <command>tar</command> on the LFS partition that contains
     the root directory (about 250MB uncompressed for a base LFS build), copying
@@ -269,4 +269,10 @@
     configuration.</para>
 
+    <note><para>There have been some reports of issues when copying between
+    similar but not identical architectures. For instance, the instruction set
+    for an Intel architecture is not identical with an AMD processor and later
+    versions of some processors may have instructions that are unavailable in
+    earlier versions.</para></note>
+
     <para>Finally the new system has to be made bootable via <xref
     linkend="ch-bootable-grub"/>.</para>
Index: chapter06/revisedchroot.xml
===================================================================
--- chapter06/revisedchroot.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/revisedchroot.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -42,5 +42,5 @@
   linkend="ch-system-kernfsmount"/>.</para>
 
-  <para>Finally, thre were several static libraries that were not supressed earlier
+  <para>Finally, there were several static libraries that were not supressed earlier
   in the chapter in order to satisfy the regression tests in several packages. These 
   libraries are from binutils, bzip2, e2fsprogs, <!--flex,--> libtool, and zlib.  If desired,
Index: chapter06/xz.xml
===================================================================
--- chapter06/xz.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ chapter06/xz.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -150,5 +150,5 @@
         <term><command>lzegrep</command></term>
         <listitem>
-          <para>Runs <command>egrep</command> on LZMA compressed files files</para>
+          <para>Runs <command>egrep</command> on LZMA compressed files</para>
           <indexterm zone="ch-system-xz lzegrep">
             <primary sortas="b-lzegrep">lzegrep</primary>
Index: general.ent
===================================================================
--- general.ent	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ general.ent	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -1,5 +1,5 @@
-<!ENTITY version         "20150819-systemd">
+<!ENTITY version         "7.8-systemd">
 <!ENTITY short-version   "systemd">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "August 19th, 2015">
+<!ENTITY releasedate     "September 28th, 2015">
 <!ENTITY copyrightdate   "1999-2015"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.8">
Index: packages.ent
===================================================================
--- packages.ent	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ packages.ent	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -12,5 +12,5 @@
 <!ENTITY acl-md5 "a61415312426e9c2212bd7dc7929abda">
 <!ENTITY acl-home " ">
-<!ENTITY acl-ch6-du "7.7 MB">
+<!ENTITY acl-ch6-du "5.0 MB">
 <!ENTITY acl-ch6-sbu "0.1 SBU">
 
@@ -20,5 +20,5 @@
 <!ENTITY attr-md5 "84f58dec00b60f2dc8fd1c9709291cc7">
 <!ENTITY attr-home "&gnu-software;attr/">
-<!ENTITY attr-ch6-du "4.2 MB">
+<!ENTITY attr-ch6-du "3.4 MB">
 <!ENTITY attr-ch6-sbu "less than 0.1 SBU">
 
@@ -28,6 +28,6 @@
 <!ENTITY autoconf-md5 "50f97f4159805e374639a73e2636f22e">
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
-<!ENTITY autoconf-ch6-du "20 MB">
-<!ENTITY autoconf-ch6-sbu "3.6 SBU">
+<!ENTITY autoconf-ch6-du "18 MB">
+<!ENTITY autoconf-ch6-sbu "4.0 SBU">
 
 <!ENTITY automake-version "1.15">
@@ -37,6 +37,6 @@
 <!ENTITY automake-md5 "9a1ddb0e053474d9d1105cfe39b0c48d">
 <!ENTITY automake-home "&gnu-software;automake/">
-<!ENTITY automake-ch6-du "109 MB">
-<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.4 SBU with tests)">
+<!ENTITY automake-ch6-du "107 MB">
+<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 11.4 SBU with tests)">
 
 <!ENTITY bash-version "4.3.30">
@@ -45,8 +45,8 @@
 <!ENTITY bash-md5 "a27b3ee9be83bd3ba448c0ff52b28447">
 <!ENTITY bash-home "&gnu-software;bash/">
-<!ENTITY bash-ch5-du "63 MB">
+<!ENTITY bash-ch5-du "55 MB">
 <!ENTITY bash-ch5-sbu "0.4 SBU">
-<!ENTITY bash-ch6-du "57 MB">
-<!ENTITY bash-ch6-sbu "1.9 SBU">
+<!ENTITY bash-ch6-du "50 MB">
+<!ENTITY bash-ch6-sbu "1.6 SBU">
 
 <!ENTITY bc-version "1.06.95">
@@ -55,6 +55,6 @@
 <!ENTITY bc-md5 "5126a721b73f97d715bb72c13c889035">
 <!ENTITY bc-home "&gnu-software;bc/">
-<!ENTITY bc-ch6-du "4.0 MB">
-<!ENTITY bc-ch6-sbu "0.1 SBU">
+<!ENTITY bc-ch6-du "3.7 MB">
+<!ENTITY bc-ch6-sbu "0.2 SBU">
 
 <!ENTITY binutils-version "2.25.1">
@@ -63,10 +63,10 @@
 <!ENTITY binutils-md5 "ac493a78de4fee895961d025b7905be4">
 <!ENTITY binutils-home "&gnu-software;binutils/">
-<!ENTITY binutils-ch5p1-du "545 MB">
+<!ENTITY binutils-ch5p1-du "489 MB">
 <!ENTITY binutils-ch5p1-sbu "1 SBU">
-<!ENTITY binutils-ch5p2-du "574 MB">
-<!ENTITY binutils-ch5p2-sbu "1.0 SBU">
-<!ENTITY binutils-ch6-du "473 MB">
-<!ENTITY binutils-ch6-sbu "2.2 SBU">
+<!ENTITY binutils-ch5p2-du "508 MB">
+<!ENTITY binutils-ch5p2-sbu "1.1 SBU">
+<!ENTITY binutils-ch6-du "451 MB">
+<!ENTITY binutils-ch6-sbu "2.4 SBU">
 
 <!ENTITY bison-version "3.0.4">
@@ -75,6 +75,6 @@
 <!ENTITY bison-md5 "c342201de104cc9ce0a21e0ad10d4021">
 <!ENTITY bison-home "&gnu-software;bison/">
-<!ENTITY bison-ch6-du "40 MB">
-<!ENTITY bison-ch6-sbu "2.3 SBU">
+<!ENTITY bison-ch6-du "36.6 MB">
+<!ENTITY bison-ch6-sbu "2.7 SBU">
 
 <!ENTITY bzip2-version "1.0.6">
@@ -83,7 +83,7 @@
 <!ENTITY bzip2-md5 "00b516f4704d4a7cb50a1d97e6e8e15b">
 <!ENTITY bzip2-home "http://www.bzip.org/">
-<!ENTITY bzip2-ch5-du "6.4 MB">
+<!ENTITY bzip2-ch5-du "5.7 MB">
 <!ENTITY bzip2-ch5-sbu "less than 0.1 SBU">
-<!ENTITY bzip2-ch6-du "6.9 MB">
+<!ENTITY bzip2-ch6-du "1.6 MB">
 <!ENTITY bzip2-ch6-sbu "less than 0.1 SBU">
 
@@ -93,5 +93,5 @@
 <!ENTITY check-md5 "53c5e5c77d090e103a17f3ed7fd7d8b8">
 <!ENTITY check-home "http://check.sourceforge.net/">
-<!ENTITY check-ch5-du "11 MB">
+<!ENTITY check-ch5-du "10 MB">
 <!ENTITY check-ch5-sbu "0.1 SBU">
 
@@ -101,8 +101,8 @@
 <!ENTITY coreutils-md5 "40efdbce865d2458d8da0a9dcee7c16c">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
-<!ENTITY coreutils-ch5-du "162 MB">
-<!ENTITY coreutils-ch5-sbu "0.6 SBU">
-<!ENTITY coreutils-ch6-du "193 MB">
-<!ENTITY coreutils-ch6-sbu "2.5 SBU">
+<!ENTITY coreutils-ch5-du "133 MB">
+<!ENTITY coreutils-ch5-sbu "0.7 SBU">
+<!ENTITY coreutils-ch6-du "166 MB">
+<!ENTITY coreutils-ch6-sbu "3.0 SBU">
 
 <!ENTITY dbus-version "1.8.20">
@@ -112,5 +112,5 @@
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "35 MB">
-<!ENTITY dbus-ch6-sbu "0.4 SBU">
+<!ENTITY dbus-ch6-sbu "0.3 SBU">
 
 <!ENTITY dejagnu-version "1.5.3">
@@ -119,5 +119,5 @@
 <!ENTITY dejagnu-md5 "5bda2cdb1af51a80aecce58d6e42bd2f">
 <!ENTITY dejagnu-home "&gnu-software;dejagnu/">
-<!ENTITY dejagnu-ch5-du "4.6 MB">
+<!ENTITY dejagnu-ch5-du "4.3 MB">
 <!ENTITY dejagnu-ch5-sbu "less than 0.1 SBU">
 
@@ -127,8 +127,8 @@
 <!ENTITY diffutils-md5 "99180208ec2a82ce71f55b0d7389f1b3">
 <!ENTITY diffutils-home "&gnu-software;diffutils/">
-<!ENTITY diffutils-ch5-du "21 MB">
+<!ENTITY diffutils-ch5-du "20 MB">
 <!ENTITY diffutils-ch5-sbu "0.2 SBU">
-<!ENTITY diffutils-ch6-du "30 MB">
-<!ENTITY diffutils-ch6-sbu "0.4 SBU">
+<!ENTITY diffutils-ch6-du "28.5 MB">
+<!ENTITY diffutils-ch6-sbu "0.5 SBU">
 
 <!-- NOTE: When updating e2fsprogs, remember to check the list
@@ -140,6 +140,6 @@
 <!ENTITY e2fsprogs-md5 "bc759fc62666786f5436e2075beb3265">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
-<!ENTITY e2fsprogs-ch6-du "52 MB">
-<!ENTITY e2fsprogs-ch6-sbu "2.7 SBU">
+<!ENTITY e2fsprogs-ch6-du "47.3 MB">
+<!ENTITY e2fsprogs-ch6-sbu "1.8 SBU">
 
 <!ENTITY expat-version "2.1.0">
@@ -148,5 +148,5 @@
 <!ENTITY expat-md5 "dd7dab7a5fea97d2a6a43f511449b7cd">
 <!ENTITY expat-home "http://expat.sourceforge.net/">
-<!ENTITY expat-ch6-du "11 MB">
+<!ENTITY expat-ch6-du "6.7 MB">
 <!ENTITY expat-ch6-sbu "0.1 SBU">
 
@@ -157,5 +157,5 @@
 <!ENTITY expect-md5 "44e1a4f4c877e9ddc5a542dfa7ecc92b">
 <!ENTITY expect-home "http://expect.sourceforge.net/">
-<!ENTITY expect-ch5-du "4.6 MB">
+<!ENTITY expect-ch5-du "4.4 MB">
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
@@ -165,7 +165,7 @@
 <!ENTITY file-md5 "ec161b5a0d2aef147fb046e5630b1408">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
-<!ENTITY file-ch5-du "16.9 MB">
+<!ENTITY file-ch5-du "14 MB">
 <!ENTITY file-ch5-sbu "0.1 SBU">
-<!ENTITY file-ch6-du "16 MB">
+<!ENTITY file-ch6-du "14 MB">
 <!ENTITY file-ch6-sbu "0.1 SBU">
 
@@ -175,7 +175,7 @@
 <!ENTITY findutils-md5 "351cc4adb07d54877fa15f75fb77d39f">
 <!ENTITY findutils-home "&gnu-software;findutils/">
-<!ENTITY findutils-ch5-du "29 MB">
+<!ENTITY findutils-ch5-du "26 MB">
 <!ENTITY findutils-ch5-sbu "0.2 SBU">
-<!ENTITY findutils-ch6-du "32 MB">
+<!ENTITY findutils-ch6-du "29 MB">
 <!ENTITY findutils-ch6-sbu "0.4 SBU">
 
@@ -186,5 +186,5 @@
 <!ENTITY flex-home "http://flex.sourceforge.net">
 <!ENTITY flex-ch6-du "38 MB">
-<!ENTITY flex-ch6-sbu "0.3 SBU">
+<!ENTITY flex-ch6-sbu "0.4 SBU">
 
 <!ENTITY gawk-version "4.1.3">
@@ -193,7 +193,7 @@
 <!ENTITY gawk-md5 "97f8f44149ea9b9e94be97f68988be87">
 <!ENTITY gawk-home "&gnu-software;gawk/">
-<!ENTITY gawk-ch5-du "37 MB">
+<!ENTITY gawk-ch5-du "36 MB">
 <!ENTITY gawk-ch5-sbu "0.2 SBU">
-<!ENTITY gawk-ch6-du "39 MB">
+<!ENTITY gawk-ch6-du "36 MB">
 <!ENTITY gawk-ch6-sbu "0.3 SBU">
 
@@ -204,12 +204,12 @@
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.5 GB">
-<!ENTITY gcc-ch5p1-sbu "7.6 SBU">
+<!ENTITY gcc-ch5p1-sbu "9.3 SBU">
 <!ENTITY gcc-ch5p2-du "2.8 GB">
-<!ENTITY gcc-ch5p2-sbu "9.5 SBU">
-<!ENTITY gcc-ch6-du "3.2 GB ">
-<!ENTITY gcc-ch6-sbu "75.7 SBU (with tests)">
-
-<!ENTITY libstdcpp-ch5-du "842 MB">
-<!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
+<!ENTITY gcc-ch5p2-sbu "11.9 SBU">
+<!ENTITY gcc-ch6-du "311 GB ">
+<!ENTITY gcc-ch6-sbu "95.5 SBU (with tests)">
+
+<!ENTITY libstdcpp-ch5-du "850 MB">
+<!ENTITY libstdcpp-ch5-sbu "0.5 SBU">
 
 <!ENTITY gdbm-version "1.11">
@@ -218,5 +218,5 @@
 <!ENTITY gdbm-md5 "72c832680cf0999caedbe5b265c8c1bd">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
-<!ENTITY gdbm-ch6-du "12.6 MB">
+<!ENTITY gdbm-ch6-du "9.0 MB">
 <!ENTITY gdbm-ch6-sbu "0.1 SBU">
 
@@ -227,7 +227,7 @@
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-ch5-du "153 MB">
-<!ENTITY gettext-ch5-sbu "1.0 SBU">
-<!ENTITY gettext-ch6-du "229 MB">
-<!ENTITY gettext-ch6-sbu "4.9 SBU">
+<!ENTITY gettext-ch5-sbu "0.9 SBU">
+<!ENTITY gettext-ch6-du "191 MB">
+<!ENTITY gettext-ch6-sbu "2.7 SBU">
 
 <!ENTITY glibc-version "2.22">
@@ -236,8 +236,8 @@
 <!ENTITY glibc-md5 "e51e02bf552a0a1fbbdc948fb2f5e83c">
 <!ENTITY glibc-home "&gnu-software;libc/">
-<!ENTITY glibc-ch5-du "670 MB">
-<!ENTITY glibc-ch5-sbu "3.9 SBU">
-<!ENTITY glibc-ch6-du "1.1 GB">
-<!ENTITY glibc-ch6-sbu "16.3 SBU">
+<!ENTITY glibc-ch5-du "656 MB">
+<!ENTITY glibc-ch5-sbu "5.0 SBU">
+<!ENTITY glibc-ch6-du "1.2 GB">
+<!ENTITY glibc-ch6-sbu "20.7 SBU">
 
 <!ENTITY gmp-version "6.0.0a">
@@ -247,5 +247,5 @@
 <!ENTITY gmp-md5 "1e6da4e434553d2811437aa42c7f7c76">
 <!ENTITY gmp-home "&gnu-software;gmp/">
-<!ENTITY gmp-ch6-du "65 MB">
+<!ENTITY gmp-ch6-du "57 MB">
 <!ENTITY gmp-ch6-sbu "1.3 SBU">
 
@@ -263,7 +263,7 @@
 <!ENTITY grep-md5 "43c48064d6409862b8a850db83c8038a">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-ch5-du "20 MB">
+<!ENTITY grep-ch5-du "19 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "30 MB">
+<!ENTITY grep-ch6-du "29 MB">
 <!ENTITY grep-ch6-sbu "0.4 SBU">
 
@@ -273,5 +273,5 @@
 <!ENTITY groff-md5 "cc825fa64bc7306a885f2fb2268d3ec5">
 <!ENTITY groff-home "&gnu-software;groff/">
-<!ENTITY groff-ch6-du "111 MB">
+<!ENTITY groff-ch6-du "85 MB">
 <!ENTITY groff-ch6-sbu "0.5 SBU">
 
@@ -281,6 +281,6 @@
 <!ENTITY grub-md5 "be62932eade308a364ea4bbc91295930">
 <!ENTITY grub-home "&gnu-software;grub/">
-<!ENTITY grub-ch6-du "170 MB">
-<!ENTITY grub-ch6-sbu "0.8 SBU">
+<!ENTITY grub-ch6-du "142 MB">
+<!ENTITY grub-ch6-sbu "0.9 SBU">
 
 <!ENTITY gzip-version "1.6">
@@ -290,7 +290,7 @@
 <!ENTITY gzip-home "&gnu-software;gzip/">
 <!ENTITY gzip-ch5-du "9.9 MB">
-<!ENTITY gzip-ch5-sbu "0.4 SBU">
+<!ENTITY gzip-ch5-sbu "0.1 SBU">
 <!ENTITY gzip-ch6-du "20 MB">
-<!ENTITY gzip-ch6-sbu "0.1 SBU">
+<!ENTITY gzip-ch6-sbu "0.2 SBU">
 
 <!ENTITY iana-etc-version "2.30">
@@ -299,5 +299,5 @@
 <!ENTITY iana-etc-md5 "3ba3afb1d1b261383d247f46cb135ee8">
 <!ENTITY iana-etc-home "http://freecode.com/projects/iana-etc">
-<!ENTITY iana-etc-ch6-du "3.0 MB">
+<!ENTITY iana-etc-ch6-du "2.2 MB">
 <!ENTITY iana-etc-ch6-sbu "less than 0.1 SBU">
 
@@ -307,5 +307,5 @@
 <!ENTITY inetutils-md5 "87fef1fa3f603aef11c41dcc097af75e">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
-<!ENTITY inetutils-ch6-du "34 MB">
+<!ENTITY inetutils-ch6-du "28 MB">
 <!ENTITY inetutils-ch6-sbu "0.4 SBU">
 
@@ -315,14 +315,14 @@
 <!ENTITY intltool-md5 "12e517cac2b57a0121cda351570f1e63">
 <!ENTITY intltool-home "http://freedesktop.org/wiki/Software/intltool">
-<!ENTITY intltool-ch6-du "1.3 MB">
+<!ENTITY intltool-ch6-du "1.2 MB">
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.1.1">
+<!ENTITY iproute2-version "4.2.0">
 <!ENTITY iproute2-size "485 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "39290cb3a55d38dd8d10e19a3094109f">
+<!ENTITY iproute2-md5 "51c54cc3245eff451154938fbc0f64f5">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
-<!ENTITY iproute2-ch6-du "10.6 MB">
-<!ENTITY iproute2-ch6-sbu "0.1 SBU">
+<!ENTITY iproute2-ch6-du "10 MB">
+<!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
 <!ENTITY kbd-version "2.0.3">
@@ -331,5 +331,5 @@
 <!ENTITY kbd-md5 "231b46e7142eb41ea3ae06d2ded3c208">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
-<!ENTITY kbd-ch6-du "34 MB">
+<!ENTITY kbd-ch6-du "30 MB">
 <!ENTITY kbd-ch6-sbu "0.1 SBU">
 
@@ -339,5 +339,5 @@
 <!ENTITY kmod-md5 "ee246fab2e1cba9fbdcad6a86ec31531">
 <!ENTITY kmod-home " ">
-<!ENTITY kmod-ch6-du "37 MB">
+<!ENTITY kmod-ch6-du "11 MB">
 <!ENTITY kmod-ch6-sbu "0.1 SBU">
 
@@ -347,6 +347,6 @@
 <!ENTITY less-md5 "935b38aa2e73c888c210dedf8fd94f49">
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
-<!ENTITY less-ch6-du "4.1 MB">
-<!ENTITY less-ch6-sbu "less than 0.1 SBU">
+<!ENTITY less-ch6-du "3.6 MB">
+<!ENTITY less-ch6-sbu "0.1 SBU">
 
 <!ENTITY libcap-version "2.24">
@@ -355,14 +355,14 @@
 <!ENTITY libcap-md5 "d43ab9f680435a7fff35b4ace8d45b80">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
-<!ENTITY libcap-ch6-du "1.8 MB">
+<!ENTITY libcap-ch6-du "1.4 MB">
 <!ENTITY libcap-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY libpipeline-version "1.4.0">
+<!ENTITY libpipeline-version "1.4.1">
 <!ENTITY libpipeline-size "787 KB">
 <!ENTITY libpipeline-url "&savannah;/releases/libpipeline/libpipeline-&libpipeline-version;.tar.gz">
-<!ENTITY libpipeline-md5 "660f4ac9340834a231d1516746d03d28">
+<!ENTITY libpipeline-md5 "e54590ec68d6c1239f67b5b44e92022c">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
-<!ENTITY libpipeline-ch6-du "8.2 MB">
-<!ENTITY libpipeline-ch6-sbu "0.1 SBU">
+<!ENTITY libpipeline-ch6-du "8.1 MB">
+<!ENTITY libpipeline-ch6-sbu "0.2 SBU">
 
 <!ENTITY libtool-version "2.4.6">
@@ -371,15 +371,15 @@
 <!ENTITY libtool-md5 "1bfb9b923f2c1339b4d2ce1807064aa5">
 <!ENTITY libtool-home "&gnu-software;libtool/">
-<!ENTITY libtool-ch6-du "48 MB">
-<!ENTITY libtool-ch6-sbu "2.0 SBU">
+<!ENTITY libtool-ch6-du "44 MB">
+<!ENTITY libtool-ch6-sbu "2.3 SBU">
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "5">
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "81,080 KB">
+<!ENTITY linux-minor-version "2">
+<!ENTITY linux-patch-version "0">
+<!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;"> -->
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
+<!ENTITY linux-size "81,083 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "f23e1d4ce8f63e46db81d56e36281885">
+<!ENTITY linux-md5 "3d5ea06d767e2f35c999eeadafc76523">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -389,8 +389,8 @@
 <!ENTITY linux-ch8-sbu "3.0 - 49.0 SBU (typically about 6 SBU)">
 
-<!ENTITY linux-headers-ch5-du "653 MB">
-<!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "662 MB">
-<!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
+<!ENTITY linux-headers-ch5-du "707 MB">
+<!ENTITY linux-headers-ch5-sbu "0.2 SBU">
+<!ENTITY linux-headers-ch6-du "712 MB">
+<!ENTITY linux-headers-ch6-sbu "0.1 SBU">
 
 <!ENTITY m4-version "1.4.17">
@@ -399,8 +399,8 @@
 <!ENTITY m4-md5 "12a3c829301a4fd6586a57d3fcf196dc">
 <!ENTITY m4-home "&gnu-software;m4/">
-<!ENTITY m4-ch5-du "20 MB">
+<!ENTITY m4-ch5-du "19 MB">
 <!ENTITY m4-ch5-sbu "0.2 SBU">
 <!ENTITY m4-ch6-du "31 MB">
-<!ENTITY m4-ch6-sbu "0.4 SBU">
+<!ENTITY m4-ch6-sbu "0.5 SBU">
 
 <!ENTITY make-version "4.1">
@@ -409,16 +409,16 @@
 <!ENTITY make-md5 "57a7a224a822f94789a587ccbcedff69">
 <!ENTITY make-home "&gnu-software;make/">
-<!ENTITY make-ch5-du "14.1 MB">
+<!ENTITY make-ch5-du "12.3 MB">
 <!ENTITY make-ch5-sbu "0.1 SBU">
-<!ENTITY make-ch6-du "14.2 MB">
-<!ENTITY make-ch6-sbu "0.6 SBU">
-
-<!ENTITY man-db-version "2.7.1">
-<!ENTITY man-db-size "1,464 KB">
+<!ENTITY make-ch6-du "12.4 MB">
+<!ENTITY make-ch6-sbu "0.5 SBU">
+
+<!ENTITY man-db-version "2.7.2">
+<!ENTITY man-db-size "1,467 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "88d32360e2ed18e05de9b528ad336fd8">
+<!ENTITY man-db-md5 "4b9480e4f1da04abb22ae7a9345ace6b">
 <!ENTITY man-db-home "http://www.nongnu.org/man-db/">
-<!ENTITY man-db-ch6-du "33 MB">
-<!ENTITY man-db-ch6-sbu "0.4 SBU">
+<!ENTITY man-db-ch6-du "31 MB">
+<!ENTITY man-db-ch6-sbu "0.5 SBU">
 
 <!ENTITY man-pages-version "4.02">
@@ -427,5 +427,5 @@
 <!ENTITY man-pages-md5 "6c5692af39eb5fe468a8bd1f110b0edd">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
-<!ENTITY man-pages-ch6-du "35 MB">
+<!ENTITY man-pages-ch6-du "26 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
@@ -435,6 +435,6 @@
 <!ENTITY mpc-md5 "d6a1d5f8ddea3abd2cc3e98f58352d26">
 <!ENTITY mpc-home "http://www.multiprecision.org/">
-<!ENTITY mpc-ch6-du "11.2 MB">
-<!ENTITY mpc-ch6-sbu "0.3 SBU">
+<!ENTITY mpc-ch6-du "18 MB">
+<!ENTITY mpc-ch6-sbu "0.4 SBU">
 
 <!ENTITY mpfr-version "3.1.3">
@@ -443,6 +443,6 @@
 <!ENTITY mpfr-md5 "6969398cd2fbc56a6af570b5273c56a9">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
-<!ENTITY mpfr-ch6-du "30 MB">
-<!ENTITY mpfr-ch6-sbu "0.7 SBU">
+<!ENTITY mpfr-ch6-du "47 MB">
+<!ENTITY mpfr-ch6-sbu "0.9 SBU">
 
 <!ENTITY ncurses-version "6.0">
@@ -451,8 +451,8 @@
 <!ENTITY ncurses-md5 "ee13d052e1ead260d7c28071f46eefb1">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
-<!ENTITY ncurses-ch5-du "45 MB">
-<!ENTITY ncurses-ch5-sbu "0.5 SBU">
-<!ENTITY ncurses-ch6-du "54 MB">
-<!ENTITY ncurses-ch6-sbu "0.5 SBU">
+<!ENTITY ncurses-ch5-du "38 MB">
+<!ENTITY ncurses-ch5-sbu "0.7 SBU">
+<!ENTITY ncurses-ch6-du "39 MB">
+<!ENTITY ncurses-ch6-sbu "0.4 SBU">
 
 <!ENTITY patch-version "2.7.5">
@@ -461,7 +461,7 @@
 <!ENTITY patch-md5 "e3da7940431633fb65a01b91d3b7a27a">
 <!ENTITY patch-home "http://savannah.gnu.org/projects/patch/">
-<!ENTITY patch-ch5-du "11.3 MB">
+<!ENTITY patch-ch5-du "11.1 MB">
 <!ENTITY patch-ch5-sbu "0.2 SBU">
-<!ENTITY patch-ch6-du "11.6 MB">
+<!ENTITY patch-ch6-du "11.4 MB">
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
@@ -471,8 +471,8 @@
 <!ENTITY perl-md5 "f67b152160431b3180fb766bdc2d02e2">
 <!ENTITY perl-home "http://www.perl.org/">
-<!ENTITY perl-ch5-du "298 MB">
-<!ENTITY perl-ch5-sbu "1.2 SBU">
-<!ENTITY perl-ch6-du "301 MB">
-<!ENTITY perl-ch6-sbu "6.5 SBU">
+<!ENTITY perl-ch5-du "241 MB">
+<!ENTITY perl-ch5-sbu "1.6 SBU">
+<!ENTITY perl-ch6-du "241 MB">
+<!ENTITY perl-ch6-sbu "6.9 SBU">
 
 <!ENTITY pkgconfig-version "0.28">
@@ -482,5 +482,5 @@
 <!ENTITY pkgconfig-home "http://www.freedesktop.org/wiki/Software/pkg-config">
 <!ENTITY pkgconfig-ch6-du "30 MB">
-<!ENTITY pkgconfig-ch6-sbu "0.3 SBU">
+<!ENTITY pkgconfig-ch6-sbu "0.4 SBU">
 
 <!ENTITY procps-ng-version "3.3.11">
@@ -489,6 +489,6 @@
 <!ENTITY procps-ng-md5 "6cc5b94c1c5b8cbc89ad345a7b522f74">
 <!ENTITY procps-ng-home "http://sourceforge.net/projects/procps-ng">
-<!ENTITY procps-ng-ch6-du "17 MB">
-<!ENTITY procps-ng-ch6-sbu "0.1 SBU">
+<!ENTITY procps-ng-ch6-du "15 MB">
+<!ENTITY procps-ng-ch6-sbu "0.2 SBU">
 
 <!ENTITY psmisc-version "22.21">
@@ -497,5 +497,5 @@
 <!ENTITY psmisc-md5 "935c0fd6eb208288262b385fa656f1bf">
 <!ENTITY psmisc-home "http://psmisc.sourceforge.net/">
-<!ENTITY psmisc-ch6-du "4.7 MB">
+<!ENTITY psmisc-ch6-du "4.2 MB">
 <!ENTITY psmisc-ch6-sbu "less than 0.1 SBU">
 
@@ -505,5 +505,5 @@
 <!ENTITY readline-md5 "33c8fb279e981274f485fd91da77e94a">
 <!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
-<!ENTITY readline-ch6-du "24 MB">
+<!ENTITY readline-ch6-du "13.7 MB">
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
@@ -513,7 +513,7 @@
 <!ENTITY sed-md5 "7ffe1c7cdc3233e1e0c4b502df253974">
 <!ENTITY sed-home "&gnu-software;sed/">
-<!ENTITY sed-ch5-du "10.7 MB">
+<!ENTITY sed-ch5-du "10.2 MB">
 <!ENTITY sed-ch5-sbu "0.1 SBU">
-<!ENTITY sed-ch6-du "12 MB">
+<!ENTITY sed-ch6-du "11 MB">
 <!ENTITY sed-ch6-sbu "0.2 SBU">
 
@@ -523,5 +523,5 @@
 <!ENTITY shadow-md5 "2bfafe7d4962682d31b5eba65dba4fc8">
 <!ENTITY shadow-home "http://pkg-shadow.alioth.debian.org/"> 
-<!ENTITY shadow-ch6-du "52 MB">
+<!ENTITY shadow-ch6-du "43 MB">
 <!ENTITY shadow-ch6-sbu "0.2 SBU">
 
@@ -531,6 +531,6 @@
 <!ENTITY systemd-md5     "814d12807f2449fb12dbb6d33a51cce8">
 <!ENTITY systemd-home    "http://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-ch6-du  "593 MB">
-<!ENTITY systemd-ch6-sbu "4.7 SBU">
+<!ENTITY systemd-ch6-du  "977 MB">
+<!ENTITY systemd-ch6-sbu "5.3 SBU">
 
 <!ENTITY tar-version "1.28">
@@ -539,8 +539,8 @@
 <!ENTITY tar-md5 "49b6306167724fe48f419a33a5beb857">
 <!ENTITY tar-home "&gnu-software;tar/">
-<!ENTITY tar-ch5-du "36 MB">
-<!ENTITY tar-ch5-sbu "0.3 SBU">
-<!ENTITY tar-ch6-du "46 MB">
-<!ENTITY tar-ch6-sbu "2.3 SBU">
+<!ENTITY tar-ch5-du "33 MB">
+<!ENTITY tar-ch5-sbu "0.4 SBU">
+<!ENTITY tar-ch6-du "40 MB">
+<!ENTITY tar-ch6-sbu "2.2 SBU">
 
 <!ENTITY tcl-version "8.6.4">
@@ -550,6 +550,6 @@
 <!ENTITY tcl-md5 "8b8c9d85469d8dbe32e51117b8ef11e3">
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
-<!ENTITY tcl-ch5-du "67 MB">
-<!ENTITY tcl-ch5-sbu "0.8 SBU">
+<!ENTITY tcl-ch5-du "41 MB">
+<!ENTITY tcl-ch5-sbu "0.5 SBU">
 
 <!ENTITY texinfo-version "6.0">
@@ -558,8 +558,8 @@
 <!ENTITY texinfo-md5 "02818e62a5b8ae0213a7ff572991bb50">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
-<!ENTITY texinfo-ch5-du "100 MB">
-<!ENTITY texinfo-ch5-sbu "0.2 SBU">
-<!ENTITY texinfo-ch6-du "109 MB">
-<!ENTITY texinfo-ch6-sbu "0.5 SBU">
+<!ENTITY texinfo-ch5-du "98 MB">
+<!ENTITY texinfo-ch5-sbu "0.3 SBU">
+<!ENTITY texinfo-ch6-du "106 MB">
+<!ENTITY texinfo-ch6-sbu "0.7 SBU">
 
 <!ENTITY tzdata-version "2015f">
@@ -569,13 +569,13 @@
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 
-<!ENTITY util-linux-version "2.26.2">
+<!ENTITY util-linux-version "2.27">
 <!ENTITY util-linux-size "3,774 KB">
-<!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.26/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "9bdf368c395f1b70325d0eb22c7f48fb">
+<!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v2.27/util-linux-&util-linux-version;.tar.xz">
+<!ENTITY util-linux-md5 "5b06bbda9309624ee7add15bc8d8ca22">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
-<!ENTITY util-linux-ch5-du "139 MB">
-<!ENTITY util-linux-ch5-sbu "0.6 SBU">
-<!ENTITY util-linux-ch6-du "137 MB">
-<!ENTITY util-linux-ch6-sbu "1.3 SBU">
+<!ENTITY util-linux-ch5-du "120 MB">
+<!ENTITY util-linux-ch5-sbu "0.8 SBU">
+<!ENTITY util-linux-ch6-du "1.2 GB">
+<!ENTITY util-linux-ch6-sbu "1.0 SBU">
 
 <!ENTITY vim-version "7.4">
@@ -585,6 +585,6 @@
 <!ENTITY vim-md5 "607e135c559be642f210094ad023dc65">
 <!ENTITY vim-home "http://www.vim.org">
-<!ENTITY vim-ch6-du "139 MB">
-<!ENTITY vim-ch6-sbu "1.0 SBU">
+<!ENTITY vim-ch6-du "112 MB">
+<!ENTITY vim-ch6-sbu "1.2 SBU">
 
 <!ENTITY xml-parser-version "2.44">
@@ -593,5 +593,5 @@
 <!ENTITY xml-parser-md5 "af4813fe3952362451201ced6fbce379">
 <!ENTITY xml-parser-home "https://github.com/chorny/XML-Parser">
-<!ENTITY xml-parser-ch6-du "2.4 MB">
+<!ENTITY xml-parser-ch6-du "2.0 MB">
 <!ENTITY xml-parser-ch6-sbu "less than 0.1 SBU">
 
@@ -601,7 +601,7 @@
 <!ENTITY xz-md5 "b5e2dd95dc8498cea5354377ed89aa65">
 <!ENTITY xz-home "http://tukaani.org/xz">
-<!ENTITY xz-ch5-du "21 MB">
+<!ENTITY xz-ch5-du "17.7 MB">
 <!ENTITY xz-ch5-sbu "0.3 SBU">
-<!ENTITY xz-ch6-du "22 MB">
+<!ENTITY xz-ch6-du "15.2 MB">
 <!ENTITY xz-ch6-sbu "0.4 SBU">
 
@@ -611,5 +611,5 @@
 <!ENTITY zlib-md5 "28f1205d8dd2001f26fec1e8c2cebe37">
 <!ENTITY zlib-home "http://www.zlib.net/">
-<!ENTITY zlib-ch6-du "4.1 MB">
-<!ENTITY zlib-ch6-sbu "less than 0.1 SBU">
-
+<!ENTITY zlib-ch6-du "4.0 MB">
+<!ENTITY zlib-ch6-sbu "0.1 SBU">
+
Index: patches.ent
===================================================================
--- patches.ent	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ patches.ent	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -19,13 +19,11 @@
 <!ENTITY coreutils-i18n-patch-size "141 KB">
 
-<!--
-<!ENTITY gcc-upstream-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
-<!ENTITY gcc-upstream-patch-md5 "f4d9c1a9c73c542a79e24780b1318533">
-<!ENTITY gcc-upstream-patch-size "72 KB">
--->
-
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
 <!ENTITY glibc-fhs-patch-md5 "9a5997c3452909b1769918c759eff8a2">
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
+
+<!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_i386_fix-1.patch">
+<!ENTITY glibc-upstream-patch-md5 "cfb3cb46074a833ac5729be79e4f2592">
+<!ENTITY glibc-upstream-patch-size "1.9 KB">
 
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">
@@ -33,21 +31,7 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
-<!--
-<!ENTITY mpfr-fixes-patch "mpfr-&mpfr-version;-upstream_fixes-3.patch">
-<!ENTITY mpfr-fixes-patch-md5 "5ba8bafe42920d6e570567529629bc59">
-<!ENTITY mpfr-fixes-patch-size "38 KB">
--->
-
-<!--
-<!ENTITY ncurses-gcc5-buildfixes-patch "ncurses-&ncurses-version;-gcc5_buildfixes-1.patch">
-<!ENTITY ncurses-gcc5-buildfixes-patch-md5 "f9015f670940350a3fc3c2ef347e2b33">
-<!ENTITY ncurses-gcc5-buildfixes-patch-size "4 KB">
--->
-
-<!--
-<!ENTITY perl-gcc5-fixes-patch "perl-&perl-version;-gcc5_fixes-1.patch">
-<!ENTITY perl-gcc5-fixes-patch-md5 "30f4907f63ec3ef7d50fa55e12d2923e">
-<!ENTITY perl-gcc5-fixes-patch-size "8 KB">
--->
+<!ENTITY mpfr-upstream-patch "mpfr-&mpfr-version;-upstream_fixes-1.patch">
+<!ENTITY mpfr-upstream-patch-md5 "2044abd90351861311c9aafcfb0ce864">
+<!ENTITY mpfr-upstream-patch-size "81 KB">
 
 <!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fixes-3.patch">
Index: prologue/bookinfo.xml
===================================================================
--- prologue/bookinfo.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ prologue/bookinfo.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -17,6 +17,5 @@
     </author>
     <author>
-      <firstname>Edited by Matthew Burgess</firstname>
-      <surname>and Douglas R. Reno</surname>
+      <firstname>Edited by Douglas R. Reno</firstname>
     </author>
   </authorgroup>
Index: prologue/hostreqs.xml
===================================================================
--- prologue/hostreqs.xml	(revision f77b95fb3fbd54a9f007f00c86b6cda25f8f373c)
+++ prologue/hostreqs.xml	(revision 9c13f79681b20e51adf23414be19a9e5daf32c2c)
@@ -185,5 +185,5 @@
   echo "/usr/bin/awk -&gt; `readlink -f /usr/bin/awk`";
 elif [ -x /usr/bin/awk ]; then
-  echo yacc is `/usr/bin/awk --version | head -n1`
+  echo awk is `/usr/bin/awk --version | head -n1`
 else 
   echo "awk not found" 
@@ -205,5 +205,5 @@
 xz --version | head -n1
 
-echo 'main(){}' &gt; dummy.c &amp;&amp; g++ -o dummy dummy.c
+echo 'int main(){}' &gt; dummy.c &amp;&amp; g++ -o dummy dummy.c
 if [ -x dummy ]
   then echo "g++ compilation OK";
